% %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
% readmeFouSer
%            Contents of this directory
% ____________________________________________________________________________
% 18.385 (Nonlinear Dynamical Systems).         MIT, Fall 1999. R. R. Rosales.
%
% fourierSC ...... Illustrates the convergence of the Fourier Series of a 2*pi
%                  periodic function F(x) to the function as more & more terms
%                  are added. Several functions F(x) are provided in a menu of
%                  examples, with an option for the user to add his own.
% heatSln ........ Displays the solution of the heat equation  T_t = T_xx as a
%                  function of time, with initial conditions given by the same
%                  functions F(x) used by fourierSC.    Illustrates the use of
%                  spectral techniques for the numerical solution of PDE's.
% FSFun .......... User provided function for input  into fourierSC   or  into
%                  heatSln, selected when OPTION=0 is picked.   Must be in the
%                  directory from which the user is running MatLab.   Given an
%                  array containing the x variable,  it must produce the array
%                  y with the values of the function.
%                  Example of a FSFun.m file:
%
%                          function y = FSFun(x)
%                          %
%                          y = (x.^2).*(x-2*pi).^2;
%
%                  Note the use of vector operands here  (.* and .^)  required
%                  because both x and y are arrays.  The array x is defined in
%                  both fourierSC and heatSln by: x = 0:dx:2*pi-dx --- some dx
%                  that depends on the (user prescribed) resolution.
%         >>>>>>>> Check help FSFun for  important details about how to define
%                  the function when dealing with discontinuities!
%         >>>>>>>> NOTE: help FSFun will NOT work if the current directory for
%                  MatLab has a user constructed  FSFun.m file already in it.
% FSoption ....... Script to construct the functions F(x) used by heatSln  and
%                  fourierSC ("fancy", with buttons).
% FSoptionP ...... Same as FSoption, but without buttons.
% gibbsFSE ....... Illustrates the GIBBS phenomenon for convergence of Fourier
%                  series near discontinuities.
% %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
more on
help readmeFouSer
more off
%
%% EOF
